
<?php $__env->startSection('content'); ?>
<div class="page-header">
    <div class="row align-items-center">
        <div class="col-auto">
            <span class="avatar avatar-md avatar-rounded" <?php if(!empty($user->avatar)): ?> style="background-image: url(<?php echo e(asset('storage/app/public/images/avatar/'.$user->avatar)); ?>)" <?php endif; ?>>
                <?php if(empty($user->avatar)): ?>
                <svg xmlns="http://www.w3.org/2000/svg" class="icon" width="24" height="24" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><circle cx="12" cy="7" r="4" /><path d="M6 21v-2a4 4 0 0 1 4 -4h4a4 4 0 0 1 4 4v2" /></svg>
                <?php endif; ?>

                <?php if(Cache::has('user-is-online-' . $user->id)): ?>
                <span class="badge bg-green" title="<?php echo e(__('main.card_online')); ?>"></span>
                <?php else: ?>
                <span class="badge bg-x" title="<?php echo e(__('main_card_offline')); ?>"></span>
                <?php endif; ?>
            </span>
        </div>
        <div class="col">
            <h2 class="page-title text-white">
                <?php echo e($user->name); ?>

            </h2>
            
            <div class="page-subtitle">
                <div class="row">
                    <div class="col-auto">
                        <svg xmlns="http://www.w3.org/2000/svg" class="icon" width="24" height="24" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><path d="M4 20l10 -10m0 -5v5h5m-9 -1v5h5m-9 -1v5h5m-5 -5l4 -4l4 -4" /><path d="M19 10c.638 -.636 1 -1.515 1 -2.486a3.515 3.515 0 0 0 -3.517 -3.514c-.97 0 -1.847 .367 -2.483 1m-3 13l4 -4l4 -4" /></svg>
                        <?php echo e(__('main.profile_count_post', ['count' => $user->all_posts_user->count()])); ?>

                    </div>
                
                    <div class="col-auto">
                        <svg xmlns="http://www.w3.org/2000/svg" class="icon" width="24" height="24" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><path d="M3 20l1.3 -3.9a9 8 0 1 1 3.4 2.9l-4.7 1" /><line x1="12" y1="12" x2="12" y2="12.01" /><line x1="8" y1="12" x2="8" y2="12.01" /><line x1="16" y1="12" x2="16" y2="12.01" /></svg>
                        <a href="<?php echo e(route('user_comments', ['username'=>$user->name])); ?>" class="text-muted active">
                            <?php echo e(__('main.profile_count_comments', ['count' => $user->comments->count()])); ?>

                        </a>
                    </div>
                    
                </div>
            </div>
        </div>
    </div>
</div>

<div class="row justify-content-center">
    <div class="col-lg-2">
        <?php if(!empty($setting_adv_top)): ?>
        <?php if($adv_top->status == 1): ?>
        <div class="mb-3">
            <?php echo $adv_top->value; ?>

        </div>
        <?php endif; ?>
        <?php endif; ?>
    </div>
    
    <div class="col-lg-8">        
        <div class="card mb-3 shadow">
            <div class="card-body">
                
                <p class="card-title">
                    <?php if(empty($user->bio)): ?>
                    <?php echo e(__('main.no_bio')); ?>

                    <?php else: ?>
                    <?php echo e($user->bio); ?>

                    <?php endif; ?>
                </p>
                
                <?php if(!empty($user->website)): ?>
                <div class="mb-2">
                    <svg xmlns="http://www.w3.org/2000/svg" class="icon me-2" width="24" height="24" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><path d="M10 14a3.5 3.5 0 0 0 5 0l4 -4a3.5 3.5 0 0 0 -5 -5l-.5 .5" /><path d="M14 10a3.5 3.5 0 0 0 -5 0l-4 4a3.5 3.5 0 0 0 5 5l.5 -.5" /><line x1="16" y1="21" x2="16" y2="19" /><line x1="19" y1="16" x2="21" y2="16" /><line x1="3" y1="8" x2="5" y2="8" /><line x1="8" y1="3" x2="8" y2="5" /></svg>
                    <a href="<?php echo e($user->website); ?>" target="_blank">
                        <?php echo e($user->website); ?>

                    </a>
                </div>
                <?php endif; ?>
                
                <?php if(!empty($user->twitter)): ?>
                <div class="mb-2">
                    <svg xmlns="http://www.w3.org/2000/svg" class="icon me-2 text-info" width="24" height="24" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><path d="M22 4.01c-1 .49 -1.98 .689 -3 .99c-1.121 -1.265 -2.783 -1.335 -4.38 -.737s-2.643 2.06 -2.62 3.737v1c-3.245 .083 -6.135 -1.395 -8 -4c0 0 -4.182 7.433 4 11c-1.872 1.247 -3.739 2.088 -6 2c3.308 1.803 6.913 2.423 10.034 1.517c3.58 -1.04 6.522 -3.723 7.651 -7.742a13.84 13.84 0 0 0 .497 -3.753c-.002 -.249 1.51 -2.772 1.818 -4.013z" /></svg>
                    <a href="https://twitter.com/<?php echo e($user->twitter); ?>" target="_blank">
                        https://twitter.com/<?php echo e($user->twitter); ?>

                    </a>
                </div>
                <?php endif; ?>
                
                <?php if(!empty($user->instagram)): ?>
                <div class="mb-2">
                    <svg xmlns="http://www.w3.org/2000/svg" class="icon me-2 text-red" width="24" height="24" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><rect x="4" y="4" width="16" height="16" rx="4" /><circle cx="12" cy="12" r="3" /><line x1="16.5" y1="7.5" x2="16.5" y2="7.501" /></svg>
                    <a href="https://www.instagram.com/<?php echo e($user->instagram); ?>" target="_blank">
                        https://www.instagram.com/<?php echo e($user->instagram); ?>

                    </a>
                </div>
                <?php endif; ?>
                
                <?php if(!empty($user->tiktok)): ?>
                <div class="mb-2">
                    <svg xmlns="http://www.w3.org/2000/svg" class="icon me-2 text-secondary" width="24" height="24" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><path d="M9 12a4 4 0 1 0 4 4v-12a5 5 0 0 0 5 5" /></svg>
                    <a href="<?php echo e('https://www.tiktok.com/@'.$user->tiktok); ?>" target="_blank">
                        <?php echo e('https://www.tiktok.com/@'.$user->tiktok); ?>

                    </a>
                </div>
                <?php endif; ?>
                
                <?php if(!empty($user->telegram)): ?>
                <div class="mb-2">
                    <svg xmlns="http://www.w3.org/2000/svg" class="icon me-2 text-info" width="24" height="24" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><path d="M15 10l-4 4l6 6l4 -16l-18 7l4 2l2 6l3 -4" /></svg>
                    <?php echo e($user->telegram); ?>

                </div>
                <?php endif; ?>
            </div>
        </div>

        <div class="card mb-3 shadow">
            <div class="card-body">
                <p class="text-muted">
                    Member since <?php echo e(Carbon::parse($user->created_at)->diffForHumans()); ?>

                </p>
            </div>
        </div>
    
    </div>
    
    <div class="col-lg-2">
        <?php if(!empty($setting_adv_bottom)): ?>
        <?php if($adv_bottom->status == 1): ?>
        <div class="mb-3">
            <?php echo $adv_bottom->value; ?>

        </div>
        <?php endif; ?>
        <?php endif; ?>
    </div>
    
</div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\Users\Marco\Desktop\xampp\htdocs\anonymous\resources\views\layouts\profile\profile.blade.php ENDPATH**/ ?>